Printago API
GET
/v1/profiles/compatible/{id}
Get profiles compatible with a printer
Path Parameters
id
required
string
The printer ID
Response Schema
CompatibleProfiles
filamentrequired
object
systemrequired
object[]
compatibilityListrequired
string
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
number
machineModelrequirednullable
string
machineVariantrequirednullable
string
mfgSlicerrequirednullable
string
mfgVersionrequirednullable
string
namerequired
string
preferencerequired
number
shownrequired
boolean
typerequired
"process" | "filament" | "machine"
processfilamentmachine
vendorIdrequired
number
userrequired
object[]
compatibilityListrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequirednullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
inheritsrequired
string
integrationIdrequirednullable
string
integrationTyperequirednullable
enum
bambulabetsyshopifyebaytiktok-shopwoocommerceshipstationwixgoogle-driveonedrive
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
"manual" | "bambu-account"
manualbambu-account
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"process" | "filament" | "machine"
processfilamentmachine
updatedAtrequired
string
format: date-time
machinerequired
object
systemrequired
object[]
compatibilityListrequired
string
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
number
machineModelrequirednullable
string
machineVariantrequirednullable
string
mfgSlicerrequirednullable
string
mfgVersionrequirednullable
string
namerequired
string
preferencerequired
number
shownrequired
boolean
typerequired
"process" | "filament" | "machine"
processfilamentmachine
vendorIdrequired
number
userrequired
object[]
compatibilityListrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequirednullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
inheritsrequired
string
integrationIdrequirednullable
string
integrationTyperequirednullable
enum
bambulabetsyshopifyebaytiktok-shopwoocommerceshipstationwixgoogle-driveonedrive
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
"manual" | "bambu-account"
manualbambu-account
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"process" | "filament" | "machine"
processfilamentmachine
updatedAtrequired
string
format: date-time
processrequired
object
systemrequired
object[]
compatibilityListrequired
string
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
number
machineModelrequirednullable
string
machineVariantrequirednullable
string
mfgSlicerrequirednullable
string
mfgVersionrequirednullable
string
namerequired
string
preferencerequired
number
shownrequired
boolean
typerequired
"process" | "filament" | "machine"
processfilamentmachine
vendorIdrequired
number
userrequired
object[]
compatibilityListrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequirednullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
inheritsrequired
string
integrationIdrequirednullable
string
integrationTyperequirednullable
enum
bambulabetsyshopifyebaytiktok-shopwoocommerceshipstationwixgoogle-driveonedrive
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
"manual" | "bambu-account"
manualbambu-account
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"process" | "filament" | "machine"
processfilamentmachine
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"machine": {
"system": [
{
"id": 1,
"vendorId": 1,
"name": "string",
"type": "process",
"shown": true,
"compatibilityList": "string",
"data": {},
"machineVariant": "string",
"machineModel": "string",
"preference": 1,
"mfgSlicer": "string",
"mfgVersion": "string"
}
],
"user": [
{
"id": "string",
"name": "string",
"type": "process",
"externalId": "string",
"source": "manual",
"inherits": "string",
"compatibilityList": "string",
"data": {},
"metadata": {},
"integrationId": "string",
"integrationType": "bambulab",
"customMetadata": {},
"storeId": "string",
"updatedAt": "2025-01-15T12:00:00.000Z",
"createdAt": "2025-01-15T12:00:00.000Z"
}
]
},
"filament": {
"system": [
{
"id": 1,
"vendorId": 1,
"name": "string",
"type": "process",
"shown": true,
"compatibilityList": "string",
"data": {},
"machineVariant": "string",
"machineModel": "string",
"preference": 1,
"mfgSlicer": "string",
"mfgVersion": "string"
}
],
"user": [
{
"id": "string",
"name": "string",
"type": "process",
"externalId": "string",
"source": "manual",
"inherits": "string",
"compatibilityList": "string",
"data": {},
"metadata": {},
"integrationId": "string",
"integrationType": "bambulab",
"customMetadata": {},
"storeId": "string",
"updatedAt": "2025-01-15T12:00:00.000Z",
"createdAt": "2025-01-15T12:00:00.000Z"
}
]
},
"process": {
"system": [
{
"id": 1,
"vendorId": 1,
"name": "string",
"type": "process",
"shown": true,
"compatibilityList": "string",
"data": {},
"machineVariant": "string",
"machineModel": "string",
"preference": 1,
"mfgSlicer": "string",
"mfgVersion": "string"
}
],
"user": [
{
"id": "string",
"name": "string",
"type": "process",
"externalId": "string",
"source": "manual",
"inherits": "string",
"compatibilityList": "string",
"data": {},
"metadata": {},
"integrationId": "string",
"integrationType": "bambulab",
"customMetadata": {},
"storeId": "string",
"updatedAt": "2025-01-15T12:00:00.000Z",
"createdAt": "2025-01-15T12:00:00.000Z"
}
]
}
}